Bug 229711 - Kernel doesnt have perfmon support
Summary: Kernel doesnt have perfmon support
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pfmon (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: William Cohen
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-22 21:19 UTC by Ben Williams
Modified: 2008-05-06 19:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:16:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Williams 2007-02-22 21:19:30 UTC
Description of problem:
pfmon will not run 

Version-Release number of selected component (if applicable):
kernel 2.6.19-1.2911.fc6
pfmon-3.2-0.060621.7.1

How reproducible:
# pfmon
host kernel does not have perfmon support

Steps to Reproduce:
1.yum install pfmon
2.pfmon on command line
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Chuck Ebbert 2007-02-22 21:26:23 UTC
Where did you get pfmon?

We certainly don't ship support for it in the kernel.

Comment 2 Ben Williams 2007-02-22 21:59:23 UTC
then why is it in the core?

yum provides pfmon returns

pfmon.i386                               3.2-0.060621.7.1       core            
Matched from:
/usr/share/doc/pfmon-3.2
/usr/share/man/man1/pfmon.1.gz
/usr/share/doc/pfmon-3.2/README
/usr/bin/pfmon_gen
/usr/bin/pfmon
pfmon = 3.2-0.060621.7.1





Comment 3 Chuck Ebbert 2007-02-22 22:33:39 UTC
Hmm, I even have pfmon.i386 installed on my machine.
But perfmon is only available on ia64, I've been told.
We need to remove all the other versions of pfmon from core.
Sorry about that.



Comment 4 Ben Williams 2007-02-23 01:57:09 UTC
i have a x64 machine at home
and guess what same error

host kernel does support perfmon



Comment 5 William Cohen 2007-02-26 22:32:53 UTC
Currently only the ia64 kernels have perfmon support. The x86_64 and i386 kernel
do not have the needed patches for perfmon2 support in the kernels. The perfmon2
patches are not yet in the upstream kernels.




Comment 6 Frank Ch. Eigler 2007-08-15 20:35:00 UTC
So should existing pfmon be ExclusiveArch: ia64?

Comment 7 Bug Zapper 2008-04-04 06:20:30 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 8 Bug Zapper 2008-05-06 19:16:22 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.